#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Importation des bibliothèques utilisées par le script
from gpiozero import RGBLED, Button
from colorzero import Color
from time import sleep
from signal import pause

# Déclaration de la LED RGB et du bouton poussoir
led = RGBLED(16, 20, 21)
bouton = Button(24)

# Couleur de début de programme
i = 0

# Fonction chargée de compter les appuis sur le bouton
# et d'afficher la couleur sur la LED
def compteur():
    global i
    # Incrémentation du compteur
    i = i + 1

    # Remise à zéro si le compteur atteint 8
    if i == 8 :
        i = 0
    print(i)

    # Affichage de la couleur dur la LED RVB
    if i == 0 :
        led.color = Color('black')
    elif i == 1 :
        led.color = Color('blue')        
    elif i == 2 :
        led.color = Color('red')
    elif i == 3 :
        led.color = Color('green')
    elif i == 4 :
        led.color = Color('cyan')
    elif i == 5 :
        led.color = Color('yellow')
    elif i == 6 :
        led.color = Color('magenta')
    elif i == 7 :
        led.color = Color('white')


# Attente de l'appui sur le bouton            
bouton.when_pressed = compteur
pause()
